# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "hakanai"
version = "3.0.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI client for Hakanai, a secure secret sharing service."
homepage = "https://github.com/czerwonk/hakanai"
readme = "README.md"
keywords = [
    "encryption",
    "secret",
    "sharing",
    "zero-knowledge",
    "privacy",
]
categories = [
    "cryptography",
    "security",
    "command-line-utilities",
]
license = "Apache-2.0"
repository = "https://github.com/czerwonk/hakanai"

[[bin]]
name = "hakanai"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.clap]
version = "4.6.0"
features = [
    "derive",
    "env",
]

[dependencies.colored]
version = "3.1.1"

[dependencies.hakanai-lib]
version = "3.0.3"
features = ["testing"]

[dependencies.humantime]
version = "2.3.0"

[dependencies.indicatif]
version = "0.18.4"

[dependencies.ipnet]
version = "2.12.0"
features = ["serde"]

[dependencies.qrcode]
version = "0.14"

[dependencies.reqwest]
version = "0.13.2"
features = ["json"]

[dependencies.rpassword]
version = "7.4.0"

[dependencies.tokio]
version = "1.50.0"
features = ["full"]

[dependencies.url]
version = "2.5.8"

[dependencies.zeroize]
version = "1.8.2"

[dependencies.zip]
version = "8.2.0"

[dev-dependencies.tempfile]
version = "3.27.0"
